Skip to main content
`Ctrl`+`K`

# STMatGetLocalSize

Returns the number of local rows and columns of the `ST` matrices.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STMatGetLocalSize(ST st,PetscInt *m,PetscInt *n)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameters

- m - the number of local rows

- n - the number of local columns

## See Also

ST: Spectral Transformation, `STMatGetSize()`

## Level

developer

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages